curl --request POST \
--url https://api.siftstack.com/api/v1/rules/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ruleIds": [
"<string>"
],
"annotationOptions": {
"tagIds": [
"<string>"
]
},
"runId": "<string>",
"timeRange": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
},
"dryRun": true
}
'{
"createdAnnotationCount": 123,
"dryRunAnnotations": [
{
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"conditionId": "<string>",
"name": "<string>",
"conditionVersionId": "<string>"
}
],
"jobId": "<string>",
"reportId": "<string>"
}Evaluates the provided rules and generate annotations based on the result.
curl --request POST \
--url https://api.siftstack.com/api/v1/rules/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ruleIds": [
"<string>"
],
"annotationOptions": {
"tagIds": [
"<string>"
]
},
"runId": "<string>",
"timeRange": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
},
"dryRun": true
}
'{
"createdAnnotationCount": 123,
"dryRunAnnotations": [
{
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"conditionId": "<string>",
"name": "<string>",
"conditionVersionId": "<string>"
}
],
"jobId": "<string>",
"reportId": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Deprecated - use RuleEvaluationService instead.
A successful response.
Deprecated - use RuleEvaluationService instead.
Show child attributes
job_id and report_id will be set if the job has an extended run time and is being processed asynchronously.
Was this page helpful?